Bug#321449: gcc-snapshot for testing - Debian

This is a discussion on Bug#321449: gcc-snapshot for testing - Debian ; I needed to test the building of one of my packages with gcc4.3. However it turns out that gcc-snapshot from unstable contains the critical bug, which makes impossible using it. At the same time the previous version of the gcc-snapshot ...

+ Reply to Thread
Results 1 to 6 of 6

Thread: Bug#321449: gcc-snapshot for testing

  1. Bug#321449: gcc-snapshot for testing

    I needed to test the building of one of my packages with gcc4.3.
    However it turns out that gcc-snapshot from unstable contains the critical
    bug, which makes impossible using it. At the same time the previous
    version of the gcc-snapshot deb-package has been already deleted from
    unstable.

    As a result I spent two days on building of the previous version of
    gcc-snapshot (I've got rather slow hardware) in order to make a patch
    for FTBFS-bug instead of 15 minutes.

    May be it would be better to enable the passing of gcc-snapshot into
    testing but not to included it in stable releases?
    It will allow to have a working instrument in such situations.


    -----BEGIN PGP SIGNATURE-----
    Version: GnuPG v1.4.6 (GNU/Linux)

    iD8DBQFHYtvQq4wAz/jiZTcRAkGwAJwNA0FebRQD02szDJg0TFs2/hOnVwCgtE4u
    8hUQc0XwboFjVQXyIsIzr64=
    =ctwP
    -----END PGP SIGNATURE-----


  2. Re: gcc-snapshot for testing

    On Friday 14 December 2007, Dmitry E. Oboukhov wrote:

    Hi,

    > I needed to test the building of one of my packages with gcc4.3.
    > However it turns out that gcc-snapshot from unstable contains the critical
    > bug, which makes impossible using it. At the same time the previous
    > version of the gcc-snapshot deb-package has been already deleted from
    > unstable.


    You can have any previous version from http://snapshot.debian.net/

    --
    pub 4096R/0E4BD0AB 2003-03-18
    fingerprint 1AE7 7C66 0A26 5BFF DF22 5D55 1C57 0C89 0E4B D0AB


    --
    To UNSUBSCRIBE, email to debian-mentors-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

  3. Bug#321449: gcc-snapshot for testing

    On Fri, Dec 14, 2007 at 22:38:56 +0300, Dmitry E. Oboukhov wrote:

    > I needed to test the building of one of my packages with gcc4.3.
    > However it turns out that gcc-snapshot from unstable contains the critical
    > bug, which makes impossible using it. At the same time the previous
    > version of the gcc-snapshot deb-package has been already deleted from
    > unstable.
    >
    > As a result I spent two days on building of the previous version of
    > gcc-snapshot (I've got rather slow hardware) in order to make a patch
    > for FTBFS-bug instead of 15 minutes.
    >
    > May be it would be better to enable the passing of gcc-snapshot into
    > testing but not to included it in stable releases?
    > It will allow to have a working instrument in such situations.
    >

    http://snapshot.debian.net/gcc-snapshot

    Cheers,
    Julien



    --
    To UNSUBSCRIBE, email to debian-bugs-dist-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

  4. gcc-snapshot for testing

    >> I needed to test the building of one of my packages with gcc4.3.
    >> However it turns out that gcc-snapshot from unstable contains the critical
    >> bug, which makes impossible using it. At the same time the previous
    >> version of the gcc-snapshot deb-package has been already deleted from
    >> unstable.
    >>
    >> As a result I spent two days on building of the previous version of
    >> gcc-snapshot (I've got rather slow hardware) in order to make a patch
    >> for FTBFS-bug instead of 15 minutes.
    >>
    >> May be it would be better to enable the passing of gcc-snapshot into
    >> testing but not to included it in stable releases?
    >> It will allow to have a working instrument in such situations.
    >>

    JC> http://snapshot.debian.net/gcc-snapshot

    Thank You for the link, however I consider my proposal actual
    nevertheless. Because using of testing area will provide some guarantees
    for the gcc-snapshot package to be workable.

    -----BEGIN PGP SIGNATURE-----
    Version: GnuPG v1.4.6 (GNU/Linux)

    iD8DBQFHYvbZq4wAz/jiZTcRAs2PAJ48hTKFySJ2XW7fvD68WUBIn9xXPQCfZIQa
    xDNqew4EIxYca1yusZBL4Zo=
    =zJnm
    -----END PGP SIGNATURE-----


  5. Re: gcc-snapshot for testing

    On 14/12/2007, Dmitry E. Oboukhov wrote:
    > Thank You for the link, however I consider my proposal actual
    > nevertheless. Because using of testing area will provide some
    > guarantees for the gcc-snapshot package to be workable.


    I guess testing users needing gcc-snapshot are likely to have either a
    sid environment or a sid chroot as everyone else.

    --
    Cyril Brulebois

    -----BEGIN PGP SIGNATURE-----
    Version: GnuPG v1.4.6 (GNU/Linux)

    iD8DBQBHYwAFeGfVPHR5Nd0RAneSAKCd3GP6L6QHudTMjTLkZL Cyxekb0QCdEBQc
    9GifyX8YK+fTU7VbwPPxfzA=
    =MDv4
    -----END PGP SIGNATURE-----


  6. Re: gcc-snapshot for testing

    On la, 2007-12-15 at 00:34 +0300, Dmitry E. Oboukhov wrote:
    > Thank You for the link, however I consider my proposal actual
    > nevertheless. Because using of testing area will provide some guarantees
    > for the gcc-snapshot package to be workable.


    Having packages in testing that are not meant for the next release is
    even worse than having such packages in unstable. It means that we're
    testing something different than what will be released, and that
    complicates QA. The bad effects are not, in my opinion, compensated by
    the benefits of having a few people be able to play with one more
    snapshot version of gcc with a bit more ease.



    --
    To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

+ Reply to Thread